local Projectile = {}
local mobj = require("System/ModObject")

function Projectile.Create(x, y, sprite, speed, type)
   local projectile = Projectile:Init()
   projectile.x = x
   projectile.y = y
   projectile.Sprite = sprite
   projectile.Type = type
   projectile.Speed = speed or 500
   return projectile
end


local ProjectileClass = mobj:NewClass("Projectile", nil, Projectile)
return ProjectileClass


