local Player = {}
local mobj = require("System/ModObject")

function Player.Create(x, y, sprite, speed, hp, ammo)
   local player = Player:Init()
   player.x = x
   player.y = y
   player.Speed = speed or 200
   player.Sprite = sprite
   player.Health = hp or 100
   player.Ammo = ammo or 30
   player.Shooting = false
   player.CurrentLevel = 0
   return player
end


function Player:SetPosition(x, y)
   self.x = x
   self.y = y
end


local PlayerClass = mobj:NewClass("Player", nil, Player)
return PlayerClass


